2020-06-03 22:01 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000050Spring engineGeneralpublic2012-07-07 18:45
ReporterFerromancer 
Assigned Tozerver 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version89.0 
Summary0000050: Ground construction units attempt to repair air units while in flight
DescriptionIf air units are damaged, ground construction units will attempt to repair units while they are in flight if they are in patrol mode. Nearly all the time the construction units will not be able to repair long enough to heal the unit, resulting in construction units that wander around forever until the air unit either lands or is destroyed.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001833

tvo (reporter)

Confirmed, I've seen this in 0.76b1, so it is still present.

~0001851

KDR_11k (reporter)

I'd suggest implementing a tag like BadRepairCategory that aborts a repair when the target moves out of range, some things like nanotowers can repair planes quite successfully and who knows what's possible in some mods.

~0008907

zerver (reporter)

https://github.com/spring/spring/commit/737e9b2b71188fc65470b2df376ad672fce72061
+Notes

-Issue History
Date Modified Username Field Change
2006-01-14 07:45 Ferromancer New Issue
2006-01-14 07:45 Ferromancer Status new => assigned
2006-01-14 07:45 Ferromancer Assigned To => jcnossen
2007-08-27 15:21 tvo Assigned To jcnossen =>
2007-08-27 15:21 tvo Status assigned => new
2008-01-14 21:55 tvo Note Added: 0001833
2008-01-14 21:55 tvo Status new => confirmed
2008-01-15 07:59 KDR_11k Note Added: 0001851
2012-07-02 16:16 zerver Status confirmed => assigned
2012-07-02 16:16 zerver Assigned To => zerver
2012-07-07 18:45 zerver Note Added: 0008907
2012-07-07 18:45 zerver Status assigned => resolved
2012-07-07 18:45 zerver Fixed in Version => 89.0
2012-07-07 18:45 zerver Resolution open => fixed
+Issue History